
Redmine - Defect #4340

migrate_from_trac can't find table "component"

2009-12-04 16:06 - Artem Poluhovich

Status: New Start date: 2009-12-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

When I try to fetch database from Trac project I get this:

[17:05]:localhost:redmine:#:>rake redmine:migrate_from_trac RAILS_ENV="production" --trace

(in /usr/local/src/redmine)

** Invoke redmine:migrate_from_trac (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:migrate_from_trac

WARNING: a new project will be added to Redmine during this process.

Are you sure you want to continue ? [y/N] y

Trac directory []: /var/trac/site.com

Trac database adapter (sqlite, sqlite3, mysql, postgresql) [sqlite]: sqlite3

Trac database encoding [UTF-8]:

Target project identifier []: site

rake aborted!

Could not find table 'component'

/home/user/.gem/ruby/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/sqlite3_ada

pter.rb:29:in `table_structure'

/home/user/.gem/ruby/1.8/gems/activesupport-2.1.2/lib/active_support/core_ext/object/misc.rb:28:in

 `returning'

/home/user/.gem/ruby/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/sqlite3_ada

pter.rb:28:in `table_structure'

/home/user/.gem/ruby/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/sqlite_adap

ter.rb:189:in `columns'

/home/user/.gem/ruby/1.8/gems/activerecord-2.1.2/lib/active_record/base.rb:1149:in `columns'

/home/user/.gem/ruby/1.8/gems/activerecord-2.1.2/lib/active_record/calculations.rb:274:in `column_

for'

/home/user/.gem/ruby/1.8/gems/activerecord-2.1.2/lib/active_record/calculations.rb:121:in `calcula

te'

/home/user/.gem/ruby/1.8/gems/activerecord-2.1.2/lib/active_record/calculations.rb:48:in `count'

/usr/local/src/redmine/lib/tasks/migrate_from_trac.rake:370:in `migrate'

/usr/local/src/redmine/lib/tasks/migrate_from_trac.rake:758

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:546:in `call'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:546:in `execute'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:541:in `each'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:541:in `execute'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:508:in `invoke_with_call_chain'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:501:in `synchronize'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:501:in `invoke_with_call_chain'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:494:in `invoke'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1931:in `invoke_task'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in `top_level'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in `each'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in `top_level'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:in `standard_exception_handling'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1903:in `top_level'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1881:in `run'
/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:in `standard_exception_handling'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1878:in `run'

/usr/lib64/ruby/gems/1.8/gems/rake-0.8.1/bin/rake:31

/usr/bin/rake:19:in `load'

/usr/bin/rake:19

In source database this table is present.

Rails 2.1.2

Redmine 0.8.7

Ruby 1.8.6 (2008-03-03 patchlevel 114) [x86_64-linux]

History

#1 - 2009-12-04 19:50 - Jean-Philippe Lang

- Category set to Importers

#2 - 2010-07-16 14:21 - Dawid Duda

Any update on this? I am having the same issue.
